cdist-type__rsyncer(7)
======================
Use rsync to copy files.

Daniel Maher <phrawzty+cdist at gmail.com>


DESCRIPTION
-----------
This type is used to trigger rsync to copy files from the machine running cdist
(source) to the target machine in question (destination). The likely usage is
the rapid deployment of full directory trees, the cohorency of which can be
guarunteed with the optional --delete argument, which will remove any files
from the destination which are not present on the source.


REQUIRED PARAMETERS
-------------------
source
    The full path of the source from which to copy. This is passed directly
    to rsync.


OPTIONAL PARAMETERS
-------------------
destination
    The full path of the destination. This is passed directly to rsync.
    Default: object_id

delete
    If true, remove files from destination which are not in source. This is
    effectively the --delete argument of rsync.
    Default: false

rsyncbin
    Specify the full path to the rsync binary.
    Default: `which rsync`

EXAMPLES
--------

.. code-block:: sh

    # Basic example
    __rsyncer '/home/foo' --source '/opt/dist/foo'

    # Fancier example
    __rsyncer FOO --source '/opt/dist/foo' --destination '/home/foo/' --delete true


SEE ALSO
--------
- `cdist-type(7) <cdist-type.html>`_


COPYING
-------
Copyright \(C) 2011 Daniel Maher. Free use of this software is granted under
the terms of the GNU General Public License version 3 (GPLv3).
